#
# spec file for package libxslt
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libxslt
Version:        1.1.26
Release:        11
License:        MIT License (or similar)
Summary:        XSL Transformation Library
Group:          System/Libraries
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  pkg-config
BuildRequires:  libxml2-devel
# bug437293
%ifarch ppc64
Obsoletes:      libxslt-64bit
%endif
Url:            http://xmlsoft.org/XSLT/
#
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Source3:        xslt-config.1.gz
Patch0:         %{name}-1.1.24-no-net-autobuild.patch
Patch1:         libxslt-config-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This C library allows you to transform XML files into other XML files
(or HTML, text, and more) using the standard XSLT stylesheet
transformation mechanism.

It is based on libxml (version 2) for XML parsing, tree manipulation,
and XPath support. It is written in plain C, making as few assumptions
as possible and sticks closely to ANSI C/POSIX for easy embedding.
Although not primarily designed with performance in mind, libxslt seems
to be a relatively fast processor. It also includes full support for
the EXSLT set of extension functions as well as some common extensions
present in other XSLT engines.

The package comes with xsltproc, a command line interface to the XSLT
engine.

%package -n libxslt1


Summary:        XSL Transformation Library
Group:          System/Libraries
Provides:       libxslt = %{version}
Obsoletes:      %{name} < %{version}
Provides:       xsltproc = %{version}

%description -n libxslt1
This C library allows you to transform XML files into other XML files
(or HTML, text, and more) using the standard XSLT stylesheet
transformation mechanism.

It is based on libxml (version 2) for XML parsing, tree manipulation,
and XPath support. It is written in plain C, making as few assumptions
as possible and sticks closely to ANSI C/POSIX for easy embedding.
Although not primarily designed with performance in mind, libxslt seems
to be a relatively fast processor. It also includes full support for
the EXSLT set of extension functions as well as some common extensions
present in other XSLT engines.

The package comes with xsltproc, a command line interface to the XSLT
engine.

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libxslt-devel-64bit
%endif
Requires:       %{name}1 = %{version}
Requires:       libgcrypt-devel
Requires:       libgpg-error-devel
Requires:       glibc-devel
#libxml is automatically required with pkgconfig

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q
%patch0
%patch1

%build
autoreconf --force --install
%configure --disable-static --with-pic --without-python
make %{?_smp_mflags}

%check
make check

%install
%makeinstall

# Unwanted doc stuff
rm -fr %{buildroot}%{_datadir}/doc

# the manual page is required
install -ma=r '-t%{buildroot}%{_mandir}/man1' '%{SOURCE3}'

#kill all "la" files
find %{buildroot} -type f -name "*.la" -print -delete

%clean
rm -rf %{buildroot}

%post -n %{name}1 -p /sbin/ldconfig

%postun -n %{name}1 -p /sbin/ldconfig

%files -n %{name}1
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING* Copyright TODO FEATURES
%{_libdir}/lib*.so.*
%{_bindir}/xsltproc
%doc %{_mandir}/man1/xsltproc.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/xslt-config
%doc %{_mandir}/man1/xslt-config.*
%doc %{_mandir}/man3/*
# not available doc/*.png
%doc doc/*.html doc/html doc/tutorial doc/*.gif

%changelog
